> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/history/bulk/checksums

> **Under Development, do not use in production yet** Get checksums for bulk history objects. Searches for object_keys in both staging and committed objects.
Meant for internal use only, as part of the processing pipeline of bulk history objects.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/history/bulk/checksums
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/history/bulk/checksums:
    post:
      tags:
        - internal
        - pre-alpha
        - scan
      summary: POST /v0/history/bulk/checksums
      description: >
        **Under Development, do not use in production yet** Get checksums for
        bulk history objects. Searches for object_keys in both staging and
        committed objects.

        Meant for internal use only, as part of the processing pipeline of bulk
        history objects.
      operationId: getBulkObjectChecksums
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetBulkObjectChecksumsRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkObjectChecksumsResponse'
        '501':
          $ref: '#/components/responses/501'
components:
  schemas:
    GetBulkObjectChecksumsRequest:
      type: object
      required:
        - object_keys
      properties:
        object_keys:
          description: >
            The list of keys of the bulk storage objects for which checksums are
            requested.
          type: array
          items:
            type: string
    GetBulkObjectChecksumsResponse:
      type: object
      required:
        - checksums
      properties:
        checksums:
          description: >
            The list of checksums for the requested bulk storage objects (in the
            same order as the object_keys).
          type: array
          items:
            type: object
            properties:
              value:
                type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '501':
      description: not implemented
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````